%define upstream_name    Test-HTTP-LocalServer
%define upstream_version 0.76

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Spawn a local HTTP server for testing
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Daemon) >= 6.50.0
BuildRequires: perl(HTTP::Request::AsCGI)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::Socket::IP) >= 0.250.0
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI)
BuildRequires: perl(URI::URL)
BuildArch:  noarch

%description
This module implements a tiny web server suitable for running "live" tests
of HTTP clients against it. It also takes care of cleaning '%ENV' from
settings that influence the use of a local proxy etc.

Use this web server if you write an HTTP client and want to exercise its
behaviour in your test suite without talking to the outside world.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Mar 06 2024 tv <tv> 0.760.0-1.mga10
+ Revision: 2047942
- update to 0.76

* Tue Aug 29 2023 tv <tv> 0.750.0-1.mga10
+ Revision: 1981026
- update to 0.75

* Mon Mar 28 2022 umeabot <umeabot> 0.740.0-2.mga9
+ Revision: 1830544
- Mageia 9 Mass Rebuild

* Thu Oct 28 2021 tv <tv> 0.740.0-1.mga9
+ Revision: 1753028
- update to 0.74

* Wed Feb 19 2020 umeabot <umeabot> 0.710.0-2.mga8
+ Revision: 1543034
- Mageia 8 Mass Rebuild

* Sat Jan 11 2020 tv <tv> 0.710.0-1.mga8
+ Revision: 1477609
- update to 0.71

* Thu Jan 09 2020 tv <tv> 0.700.0-1.mga8
+ Revision: 1477376
- update to 0.70

* Wed Oct 02 2019 tv <tv> 0.690.0-1.mga8
+ Revision: 1448915
- update to 0.69

* Tue Oct 01 2019 tv <tv> 0.680.0-1.mga8
+ Revision: 1448660
- update to 0.68

* Thu Sep 12 2019 tv <tv> 0.660.0-1.mga8
+ Revision: 1440090
- update to 0.66

* Sat Sep 07 2019 tv <tv> 0.650.0-1.mga8
+ Revision: 1438260
- update to 0.65

* Tue Oct 30 2018 tv <tv> 0.640.0-1.mga7
+ Revision: 1326672
- update to 0.64

* Thu Sep 20 2018 umeabot <umeabot> 0.630.0-2.mga7
+ Revision: 1286662
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 0.630.0-1.mga7
+ Revision: 1239010
- imported package perl-Test-HTTP-LocalServer

